Sites
Update a page
`body` must be a complete body SiteElement tree. Pass `expectedContentVersion` to fail instead of overwriting newer edits. Header, footer, and template pages take `title` and `body` only.
body must be a complete body SiteElement tree. Pass expectedContentVersion to fail instead of overwriting newer edits. Header, footer, and template pages take title and body only.
x-api-key<token>
In: header
Path Parameters
siteId*string
pageId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/sites/string/pages/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "title": "string", "slug": "string", "kind": "PAGE", "hidden": true, "hideHeader": false, "hideFooter": false, "seo": { "title": "string", "description": "string", "ogImage": "string", "noindex": true, "schemaType": "WebPage", "publishedAt": "string" }, "contentVersion": 0, "body": null, "updatedAt": "2019-08-24T14:15:22Z" }}
Planeward Docs